Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Sep 15 18:40
    lateshift starred canjs/canjs
  • Sep 13 21:53
    chasenlehara closed #5207
  • Sep 13 21:28

    chasenlehara on major

    Update dist for release (compare)

  • Sep 13 21:28

    chasenlehara on v6.0.0-pre.14

    Update dist for release 6.0.0-pre.14 (compare)

  • Sep 13 21:22

    chasenlehara on 5207-remove-can-define

    (compare)

  • Sep 13 21:22

    chasenlehara on major

    Remove can-define usage in CanJ… (compare)

  • Sep 13 21:22
    chasenlehara closed #5282
  • Sep 13 21:08

    m-mujica on playlist

    WIP: Upgrade playlist editor to… (compare)

  • Sep 13 20:19
    m-mujica commented #5119
  • Sep 13 17:36
    m-mujica edited #5119
  • Sep 13 17:15
    m-mujica edited #5119
  • Sep 13 16:34
    chasenlehara review_requested #5282
  • Sep 13 16:34
    chasenlehara review_requested #5282
  • Sep 13 16:33
    chasenlehara ready_for_review #5282
  • Sep 13 15:04

    greenkeeper[bot] on webpack-4.40.2

    (compare)

  • Sep 13 14:47

    greenkeeper[bot] on webpack-4.40.2

    chore(package): update webpack … (compare)

  • Sep 13 14:36
    chasenlehara synchronize #5282
  • Sep 13 14:36

    chasenlehara on 5207-remove-can-define

    Remove can-define usage in CanJ… (compare)

  • Sep 13 13:56
    chasenlehara synchronize #5282
  • Sep 13 13:56

    chasenlehara on 5207-remove-can-define

    Remove can-define usage in CanJ… (compare)

Gira Minus
@gKreator
actually this might be a misconfigured steal-tools build.js
Thomas Sieverding
@Bajix
I think you need to do system.main=“{package.name}/main.js"
Gira Minus
@gKreator
Where would I do that?
Thomas Sieverding
@Bajix
What’s your package name?
Gira Minus
@gKreator
{
"name": "drivetrain",
"main": "main",
"dependencies": {
"can": "^3.2.1",
"can-component": "^3.0.3",
"can-compute": "",
"can-connect": "^1.0.14",
"can-define": "^1.0.4",
"can-event": "
",
"can-route": "^3.0.5",
"can-set": "^1.0.2",
"can-stache": "^3.0.13",
"can-util": "*",
"flatpickr": "^2.2.4",
"jquery": "^3.1.1",
"jquery.scrollto": "^2.1.2",
"lightbox2": "^2.9.0",
"moment": "^2.17.1",
"parsleyjs": "^2.6.0",
"steal": "^0.16.43",
"steal-cache-bust": "^0.2.1",
"steal-stache": "^3.0.3",
"sweetalert2": "^6.2.0"
},
"devDependencies": {
"steal-tools": "^0.16.8"
},
"system": {
"npmAlgorithm": "flat",
"npmIgnore": [
"devDependencies"
],
"directories": {
"lib": "scripts"
}
}
}
Frank Lemanschik
@frank-dspeed
wow
can you plz post files to external jsbin or other posting services
Thomas Sieverding
@Bajix
The main property of your system object within package.json should be your main dependency, relative to your lib.directories folder, substituting your package.name for whatever lib.directories is
Frank Lemanschik
@frank-dspeed
gists or else
Gira Minus
@gKreator
kk
Thomas Sieverding
@Bajix
So system.main should be “drivetrain/main.js"
Frank Lemanschik
@frank-dspeed
when package.json is in / yes
if package.json is in drivetain also it would be only main.js
but listen to me i saw in your package json that you have a bad combo
of module versions
i think your mixing up a lot of stuff that will not 100% work
Thomas Sieverding
@Bajix
What’s he using that won’t work?
Gira Minus
@gKreator
yeah at this point i think my package.json is messed up beyond lol
Frank Lemanschik
@frank-dspeed
right my frind now listen
Thomas Sieverding
@Bajix
No it’s not?
Frank Lemanschik
@frank-dspeed
we make it easy
you download donejs
do donejs add app
Thomas Sieverding
@Bajix
DoneJS isn’t up to date right now
Frank Lemanschik
@frank-dspeed
@Bajix it is
and his package.json isn't up to date too
so he will be more happy with the canjs 2.3 stack
as it will probally work as he expects it
and he can upgrade later
Thomas Sieverding
@Bajix
donejs doesn’t have 3.0 yet
Frank Lemanschik
@frank-dspeed
DoneJS has that
Gira Minus
@gKreator
I already upgraded to CanJs 3
Frank Lemanschik
@frank-dspeed
i simply don't published it
ah ok wait
i give you a donejs +canjs v3 json
you replace that with your
Gira Minus
@gKreator
kk
Frank Lemanschik
@frank-dspeed
need to search for a beta project give me some secunds
Gira Minus
@gKreator
We are just trieing to fix a <can-import> bug...
sweet no problem
Thomas Sieverding
@Bajix
Try out the system.main fix
Frank Lemanschik
@frank-dspeed
Bai
in steal v1.0
the system object got renamed to steal
Thomas Sieverding
@Bajix
Eh? that sounds terrible
Frank Lemanschik
@frank-dspeed
and you need to use steal 1 not 0.16
No its not
simply read the migrating guid?
:D
Thomas Sieverding
@Bajix
That’s not the issue